using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using 加密狗;

namespace BDU.Tools
{
    public class SecurityDongle
    {

        public static double Verify()
        {
            //第一次使用时需要写入加密狗，之后注释掉写入代码即可
            //加密狗驱动类.写入加密狗(0, "00000000", "ATS项目");//00000000表示管理员密码，ATS项目表示校验密码

            //使用用户密码和校验密码寻找加密狗，返回值小于0表示未找到或验证失败
            var re = 加密狗驱动类.寻找加密狗("11111111", "ATS项目");
            if (re < 0) return 0;

            //在这里设置到期时间：20260401
            // 设置到期时间：2026年4月1日
            DateTime 到期时间 = new DateTime(2026, 4, 1, 0, 0, 0);
            DateTime 现在时间 = DateTime.Now;

            // 返回剩余毫秒数（或秒数、分钟数，根据需求）
            return (long)(到期时间 - 现在时间).TotalHours;
        }
    }
}
